@import url('https://fonts.googleapis.com/css2?family=Big+Shoulders:opsz,wght@10..72,100..900&family=Red+Hat+Display:ital,wght@0,300..900;1,300..900&display=swap');

html {
    background-color: #1F1F1F;
    padding: 0;
    margin: 0;
    height: 100vh;
    width: 100%;
    font-family: 'Red Hat Display', sans-serif;
}

body {
    margin: 0;
    padding: 0;
}

p,
h1,
h2,
a {
    color: white;
}

/**** Nav-Bar ****/
nav {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.logo {
    display: flex;
    align-items: center;
    padding-left: 40px;
}

.logo img {
    width: 40px;
}

.logo a {
    margin-left: 10px;
    color: white;
    text-decoration: none;
    font-size: 26px;
}

.nav-links {
    display: flex;
    align-items: center;
    list-style: none;
    padding: 0 40px 0 0;
}

.nav-links a {
    display: block;
    padding: 16px;
    color: white;
    text-decoration: none;
    font-size: 20px;
    text-transform: uppercase;
    transition: all ease-in-out 100ms;
}

.nav-links a:hover {
    opacity: 0.8;
}

.hamburger {
    display: none;
    cursor: pointer;
    width: 50px;
}

.hamburger .bar {
    flex-basis: 100%;
    height: 4px;
    background-color: #ffffff;
    margin: 3px;
    margin-right: 20px;
}

/**** Home ****/
.background-video {
    position: absolute;
    left: 0;
    width: 100%;
    object-fit: cover;
    z-index: -1;
}

section {
    min-height: 100vh;
    width: 100%;
}

.home {
    display: flex;
    align-items: center;
    justify-content: center;
}

.home-title {
    font-size: 170px;
    line-height: 1.1;
    font-weight: lighter;
    text-align: center;
    overflow: hidden;
}

.home-title span {
    display: block;
    width: 100%;
}

.span1,
.span2,
.span3 {
    text-align: center;
}

/**** About ****/
.about {
    min-height: 100vh;
    width: 100%;
    margin: 0;
    display: flex;
    background-color: #1a1a1a;
}

.container {
    width: 60%;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    justify-content: center;
}

.about-container {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    padding-bottom: 30px;
    margin: 0;
}

.image-container {
    display: flex;
    justify-content: flex-end;
    width: 30%;
    padding: 0;
}

.my-image {
    width: 250px;
    height: 250px;
    border-radius: 100%;
    object-fit: cover;
}

.text-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0 0 70px 0;
    gap: 20px;
    width: 70%;
}

.content {
    font-size: 20px;
    padding-bottom: 20px;
}

.logos img {
    width: 40px;
    height: 40px;
    margin: 0 10px;
}

.logos a:hover {
    opacity: 0.8;
}

.title-line {
    display: block;
    width: 100%;
    margin: 0 auto;
    border: 0;
    border-top: 1px solid white;
}

.about-title {
    font-size: 150px;
    font-weight: lighter;
    display: flex;
    justify-content: right;
    margin: 0;
}

/**** Gallery ****/
.gallery {
    min-height: 100vh;
    width: 70%;
    margin: 100px auto;
    margin-bottom: 0;
    flex-direction: column;
}

.gallery-title {
    font-size: 150px;
    font-weight: lighter;
    display: flex;
    justify-content: flex-start;
    margin: 0;
}

.expandigcards {
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    width: 100%;
}

.panel {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 70vh;
    border-radius: 50px;
    color: #fff;
    cursor: pointer;
    flex: 0.5;
    margin: 10px;
    transition: all 700ms ease-in;
}

.panel.active {
    flex: 1;
}

.gallery-container .btn {
    display: block;
    width: fit-content;
    margin: 50px auto;
}

.gallery-container .btn a {
    color: white;
    font-size: 1.1rem;
    font-weight: bold;
}

.gallery-container .btn:hover {
    opacity: 0.8;
}

/*** Footer ***/
footer {
    background-color: #1a1a1a;
    font-size: 20px;
    padding: 50px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

footer .social img {
    margin: 0 10px;
    height: 30px;
    width: 30px;
    padding-bottom: 25px;
}

footer .social a:hover {
    opacity: 0.8;
}

footer ul {
    margin-top: 0;
    padding: 0;
    list-style: none;
    font-size: 18px;
    line-height: 1.8;
    margin-bottom: 0;
    text-align: center;
}

footer ul li a {
    text-decoration: none;
}

footer ul li {
    display: inline-block;
    padding: 0 20px;
}

footer ul li a:hover {
    opacity: 0.8;
}

footer .copyright {
    margin-top: 30px;
    margin-bottom: 0;
    font-size: 14px;
    color: #d4d4d4;
}